zenilib: zenilib/jni/external/freetype2/src/sfnt/sfdriver.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
sfdriver.c File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_DEBUG_H>`
`#include <FT_INTERNAL_SFNT_H>`
`#include <FT_INTERNAL_OBJECTS_H>`
`#include "sfdriver.h"`
`#include "ttload.h"`
`#include "sfobjs.h"`
`#include "sfntpic.h"`
`#include "sferrors.h"`
`#include "ttcmap.h"`
`#include "ttkern.h"`
`#include "ttmtx.h"`
`#include <FT_SERVICE_GLYPH_DICT_H>`
`#include <FT_SERVICE_POSTSCRIPT_NAME_H>`
`#include <FT_SERVICE_SFNT_H>`
`#include <FT_SERVICE_TT_CMAP_H>`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_sfdriver
#define | PUT_EMBEDDED_BITMAPS(a) 0
#define | PUT_PS_NAMES(a) 0

## Functions

| FT_DEFINE_SERVICE_PSFONTNAMEREC (sfnt_service_ps_name,(FT_PsName_GetFunc) sfnt_get_ps_name) FT_DEFINE_SERVICE_TTCMAPSREC(tt_service_get_cmap_info
| FT_DEFINE_SERVICE_SFNT_TABLEREC (sfnt_service_sfnt_table,(FT_SFNT_TableLoadFunc) tt_face_load_any,(FT_SFNT_TableGetFunc) get_sfnt_table,(FT_SFNT_TableInfoFunc) sfnt_table_info) static const char *sfnt_get_ps_name(TT_Face face)
TT_CMap_Info_GetFunc tt_get_cmap_info | FT_DEFINE_SERVICEDESCREC3 (sfnt_services, FT_SERVICE_ID_SFNT_TABLE,&FT_SFNT_SERVICE_SFNT_TABLE_GET, FT_SERVICE_ID_POSTSCRIPT_FONT_NAME,&FT_SFNT_SERVICE_PS_NAME_GET, FT_SERVICE_ID_TT_CMAP,&FT_TT_SERVICE_GET_CMAP_INFO_GET) sfnt_get_interface(FT_Module module
return | ft_service_list_lookup (FT_SFNT_SERVICES_GET, module_interface)
static void * | get_sfnt_table (TT_Face face, FT_Sfnt_Tag tag)
static FT_Error | sfnt_table_info (TT_Face face, FT_UInt idx, FT_ULong *tag, FT_ULong *offset, FT_ULong *length)

## Variables

TT_CMap_Info_GetFunc tt_get_cmap_info const char * | module_interface

## Macro Definition Documentation

#define FT_COMPONENT trace_sfdriver

Definition at line 60 of file sfdriver.c.

#define PUT_EMBEDDED_BITMAPS | ( |  | a | ) | 0

Definition at line 572 of file sfdriver.c.

#define PUT_PS_NAMES | ( |  | a | ) | 0

Definition at line 577 of file sfdriver.c.

## Function Documentation

FT_DEFINE_SERVICE_PSFONTNAMEREC | ( | sfnt_service_ps_name | ,
|  | (FT_PsName_GetFunc) | sfnt_get_ps_name
| ) |  |

FT_DEFINE_SERVICE_SFNT_TABLEREC | ( | sfnt_service_sfnt_table | ,
|  | (FT_SFNT_TableLoadFunc) | tt_face_load_any,
|  | (FT_SFNT_TableGetFunc) | get_sfnt_table,
|  | (FT_SFNT_TableInfoFunc) | sfnt_table_info
| ) |  | const

Definition at line 139 of file sfdriver.c.

References error, FT_STRCPYN, and tt_face_get_ps_name().

TT_CMap_Info_GetFunc tt_get_cmap_info FT_DEFINE_SERVICEDESCREC3 | ( | sfnt_services | ,
|  | FT_SERVICE_ID_SFNT_TABLE | ,
|  | & | FT_SFNT_SERVICE_SFNT_TABLE_GET,
|  | FT_SERVICE_ID_POSTSCRIPT_FONT_NAME | ,
|  | & | FT_SFNT_SERVICE_PS_NAME_GET,
|  | FT_SERVICE_ID_TT_CMAP | ,
|  | & | FT_TT_SERVICE_GET_CMAP_INFO_GET
| ) |  |

return ft_service_list_lookup | ( | FT_SFNT_SERVICES_GET | ,
|  | module_interface |
| ) |  |

static void* get_sfnt_table | ( | TT_Face | face,
|  | FT_Sfnt_Tag | tag
| ) |  |

static

Definition at line 69 of file sfdriver.c.

References ft_sfnt_head, ft_sfnt_hhea, ft_sfnt_maxp, ft_sfnt_os2, ft_sfnt_pclt, ft_sfnt_post, ft_sfnt_vhea, TT_FaceRec_::header, TT_FaceRec_::horizontal, TT_FaceRec_::max_profile, TT_FaceRec_::os2, TT_FaceRec_::pclt, TT_FaceRec_::postscript, TT_OS2_::version, TT_PCLT_::Version, TT_FaceRec_::vertical, and TT_FaceRec_::vertical_info.

static FT_Error sfnt_table_info | ( | TT_Face | face,
|  | FT_UInt | idx,
|  | FT_ULong * | tag,
|  | FT_ULong * | offset,
|  | FT_ULong * | length
| ) |  |

static

Definition at line 114 of file sfdriver.c.

References TT_FaceRec_::dir_tables, idx, TT_TableRec_::Length, TT_FaceRec_::num_tables, TT_TableRec_::Offset, and TT_TableRec_::Tag.

## Variable Documentation

TT_CMap_Info_GetFunc tt_get_cmap_info const char* module_interface

Initial value:
{
FT_UNUSED( module )
FT_UNUSED
#define FT_UNUSED(arg)
Definition: ftconfig.h:101

Definition at line 424 of file sfdriver.c.